Summary: A multi-platform helper library for other libraries
Name: gwenhywfar
Version: 1.99.2
Release: 1.2
Source: http://download.sourceforge.net/gwenhywfar/%{name}-%{version}.tar.gz
Patch: gwenhywfar-aclocal.patch
Group: System Environment/Libraries
License: LGPL
URL: http://sourceforge.net/projects/gwenhywfar
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel gettext
Prereq: /sbin/ldconfig

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and AqBanking/AqHBCI, the German online banking 
libraries.

%package devel
Summary: Gwenhywfar development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.


%prep
%setup -q
# Port aclocal file to use pkg-config
%patch -p1

%build
%configure --disable-static --with-openssl-libs=%{_libdir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

rm -f $RPM_BUILD_ROOT/%{_bindir}/gwenhywfar-config

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
/etc/*
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/gwenhywfar.mo

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/gwenhywfar
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/gwenhywfar.m4

%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.99.2-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Dec 22 2005 Bill Nottingham <notting@redhat.com> 1.99.2-1
- update to 1.99.2
- use the pkgconfig file, not gwenhywfar-config

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> 1.7.2-3
- rebuilt against new openssl

* Wed Mar  2 2005 Bill Nottingham <notting@redhat.com> 1.7.2-2
- rebuild against new openssl

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.7.2-1
- initial packaging, adopt upstream package
